<?php

declare(strict_types=1);

namespace PHPNative\Tailwind\Style;

class Border implements Style
{
    public function __construct(
        public bool $enabled = false,
        public Color $color = new Color(),
        public null|int $left = null,
        public null|int $right = null,
        public null|int $top = null,
        public null|int $bottom = null,
        public null|int $roundTopLeft = null,
        public null|int $roundTopRight = null,
        public null|int $roundBottomLeft = null,
        public null|int $roundBottomRight = null,
    ) {}
}
